if you are downgrading from 1.1.2  OTB then you will need to get a stealthsim or you will not get phone service